"use strict";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// // 定义格式化时间的函数
// function dateFormat(dateStr) {
//     const dt = new Date(dateStr)
//     const y = dt.getFullYear()
//     const m = padZero(dt.getMonth() + 1) //注意月份是从零开始的
//     const d = padZero(dt.getDate())
//     const hh = padZero(dt.getHours())
//     const mm = padZero(dt.getMinutes())
//     const ss = padZero(dt.getSeconds())
//     return `${y}-${m}-${d} ${hh}:${mm}:${ss}`
// }
// // 定义一个补零的函数
// function padZero(n) {
//     return n > 9 ? n : '0' + n
// }
// // 定义转义 HTML 字符的函数
// function htmlEscape(htmlstr) {
//     return htmlstr.replace(/<|>|"|&/g, match => {
//         switch (match) {
//             case '<':
//                 return '&lt;'
//             case '>':
//                 return '&gt;'
//             case '"':
//                 return '&quot;'
//             case '&':
//                 return '&amp;'
//         }
//     })
// }
// // 定义还原 HTML 字符串的函数
// function htmlUnEscape(str) {
//     return str.replace(/&lt;|&gt;|&quot;|&amp;/g, match => {
//         switch (match) {
//             case '&lt;':
//                 return '<'
//             case '&gt;':
//                 return '>'
//             case '&quot;':
//                 return '"'
//             case '&amp;':
//                 return '&'
//         }
//     })
// }
// module.exports = {
//     dateFormat,
//     htmlEscape,
//     htmlUnEscape
// }
// 这是包的入口文件
var date = require('./src/dateFormat');

var escape = require('./src/htmlEscape'); // 向外暴露需要的成员


module.exports = _objectSpread({}, date, {}, escape);