// // 定义格式化时间的函数
// function dateFormat(dateStr) {
//     const dt = new Date(dateStr)

//     const y = dt.getFullYear()
//     const m = padZero(dt.getMonth() + 1) //注意月份是从零开始的
//     const d = padZero(dt.getDate())

//     const hh = padZero(dt.getHours())
//     const mm = padZero(dt.getMinutes())
//     const ss = padZero(dt.getSeconds())

//     return `${y}-${m}-${d} ${hh}:${mm}:${ss}`
// }

// // 定义一个补零的函数
// function padZero(n) {
//     return n > 9 ? n : '0' + n
// }

// // 定义转义 HTML 字符的函数
// function htmlEscape(htmlstr) {
//     return htmlstr.replace(/<|>|"|&/g, match => {
//         switch (match) {
//             case '<':
//                 return '&lt;'
//             case '>':
//                 return '&gt;'
//             case '"':
//                 return '&quot;'
//             case '&':
//                 return '&amp;'
//         }
//     })
// }

// // 定义还原 HTML 字符串的函数
// function htmlUnEscape(str) {
//     return str.replace(/&lt;|&gt;|&quot;|&amp;/g, match => {
//         switch (match) {
//             case '&lt;':
//                 return '<'
//             case '&gt;':
//                 return '>'
//             case '&quot;':
//                 return '"'
//             case '&amp;':
//                 return '&'
//         }
//     })
// }

// module.exports = {
//     dateFormat,
//     htmlEscape,
//     htmlUnEscape
// }



// 这是包的入口文件

const date = require('./src/dateFormat')
const escape = require('./src/htmlEscape')

// 向外暴露需要的成员
module.exports = {
    ...date, //ES6的展开运算符
    ...escape
}