"use strict";

// 定义格式化时间的函数
function dateFormat(dateStr) {
  var dt = new Date(dateStr);
  var y = dt.getFullYear();
  var m = padZero(dt.getMonth() + 1); //注意月份是从零开始的

  var d = padZero(dt.getDate());
  var hh = padZero(dt.getHours());
  var mm = padZero(dt.getMinutes());
  var ss = padZero(dt.getSeconds());
  return "".concat(y, "-").concat(m, "-").concat(d, " ").concat(hh, ":").concat(mm, ":").concat(ss);
} // 定义一个补零的函数


function padZero(n) {
  return n > 9 ? n : '0' + n;
}

module.exports = {
  dateFormat: dateFormat
};